## fanram 1.0

=== Makefile ===
MAKEDIRS = src conf

all:
	for md in $(MAKEDIRS) ; do \
		$(MAKE) -C $$md $@ ; \
	done

clean:
	for md in $(MAKEDIRS) ; do \
		$(MAKE) -C $$md $@ ; \
	done

install:
	for md in $(MAKEDIRS) ; do \
		$(MAKE) -C $$md $@ ; \
	done

test:

=== conf/Makefile ===
ETCDIR=/etc/fanram

all:

clean:

install: fanram.conf email.template example
	mkdir -p $(DESTDIR)$(ETCDIR)
	install -m644 $^ $(DESTDIR)$(ETCDIR)

=== src/Makefile ===
BINDIR=/usr/bin

all:

clean:

install: fanram
	# Bin
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m755 fanram $(DESTDIR)$(BINDIR)

=== debian/changelog ===
fanram (1.0) oldstable stable; urgency=low

  * Initial release.

 -- Ola Lundqvist <ola@inguza.com>  Sun, 24 Oct 2010 20:15:59 +0200

=== debian/control ===
Source: fanram
Section: utils
Priority: extra
Maintainer: Ola Lundqvist <ola@inguza.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.0
Homepage: http://inguza.com/software/fanram

Package: fanram
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file and network resource alteration monitor
 A tool to monitor files and network resources and notify about changes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/fanram.sgml > fanram.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/fanram.
	$(MAKE) DESTDIR=$(CURDIR)/debian/fanram install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
